|  | Home · All Classes · Modules

# QWebPage.ChooseMultipleFilesExtensionOption Class Reference
[QtWebKit module]

The ChooseMultipleFilesExtensionOption class describes the option for the multiple files selection extension. More...

Inherits ExtensionOption.

### Methods

- __init__ (self)
- __init__ (self, ChooseMultipleFilesExtensionOption)

### Members

- QWebFrame parentFrame
- QStringList suggestedFileNames

## Detailed Description

The ChooseMultipleFilesExtensionOption class describes the option for the multiple files selection extension.

The ChooseMultipleFilesExtensionOption class holds the frame originating the request and the suggested filenames which might be provided.

## Method Documentation

### ChooseMultipleFilesExtensionOption.__init__ (self)

### ChooseMultipleFilesExtensionOption.__init__ (self, ChooseMultipleFilesExtensionOption)

## Member Documentation

### QWebFrame parentFrame

This variable holds the frame in which the request originated.

### QStringList suggestedFileNames

This variable holds the suggested filenames.